Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.mdxparse
Class FunCall

    java.lang.Object
      com.tonbeller.jpivot.olap.mdxparse.FunCall

All Implemented Interfaces:
  Exp

    public class FunCall

extends java.lang.Object
implements Exp

Author:
  hh

Field Summary
`static int` | `TypeBraces`
`static int` | `TypeCase`
`static int` | `TypeFunction`
`static int` | `TypeInfix`
`static int` | `TypeMask`
`static int` | `TypeMethod`
`static int` | `TypeParentheses`
`static int` | `TypePrefix`
`static int` | `TypeProperty`
`static int` | `TypePropertyAmpQuoted`
`static int` | `TypePropertyQuoted`

Constructor Summary
`FunCall(java.lang.String fun, Exp[] args)`
`FunCall(java.lang.String fun, Exp[] args, int syntacticType)`

Method Summary
`void` | `accept(ExpVisitor visitor)` Exp is visitable
`java.lang.Object` | `clone()`
`Exp[]` | `getArgs()` Returns the args.
`java.lang.String` | `getFunction()`
`boolean` | `isCallTo(java.lang.String fName)` compare function name ignoring case
`java.lang.String` | `toMdx()` format to MDX

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TypeFunction

    public static final int TypeFunction

See Also:
  Constant Field Values

### TypeProperty

    public static final int TypeProperty

See Also:
  Constant Field Values

### TypeMethod

    public static final int TypeMethod

See Also:
  Constant Field Values

### TypeInfix

    public static final int TypeInfix

See Also:
  Constant Field Values

### TypePrefix

    public static final int TypePrefix

See Also:
  Constant Field Values

### TypeBraces

    public static final int TypeBraces

See Also:
  Constant Field Values

### TypeParentheses

    public static final int TypeParentheses

See Also:
  Constant Field Values

### TypeCase

    public static final int TypeCase

See Also:
  Constant Field Values

### TypeMask

    public static final int TypeMask

See Also:
  Constant Field Values

### TypePropertyQuoted

    public static final int TypePropertyQuoted

See Also:
  Constant Field Values

### TypePropertyAmpQuoted

    public static final int TypePropertyAmpQuoted

See Also:
  Constant Field Values

Constructor Detail

### FunCall

    public FunCall(java.lang.String fun,
                   Exp[] args)

### FunCall

    public FunCall(java.lang.String fun,
                   Exp[] args,
                   int syntacticType)

Method Detail

### toMdx

    public java.lang.String toMdx()

  format to MDX

  Specified by:
    `toMdx` in interface `Exp`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `Exp`
  Overrides:
    `clone` in class `java.lang.Object`
  See Also:
    `Object.clone()`

### isCallTo

    public boolean isCallTo(java.lang.String fName)

  compare function name ignoring case

  Parameters:
    `fName` -
  Returns:
    boolean

### getArgs

    public Exp[] getArgs()

  Returns the args.

  Returns:
    Exp[]

### getFunction

    public java.lang.String getFunction()

  Returns:

### accept

    public void accept(ExpVisitor visitor)

  Description copied from interface: `Exp`
  Exp is visitable

  Specified by:
    `accept` in interface `Exp`
  See Also:
    `Exp.accept(com.tonbeller.jpivot.olap.mdxparse.ExpVisitor)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD